#include "pls/internal/scheduling/thread_state.h"

namespace pls::internal::scheduling {

thread_local thread_state *my_thread_state{nullptr};
thread_local bool thread_state::is_scheduler_active_{false};

thread_state &thread_state::get() { return *my_thread_state; }
void thread_state::set(thread_state *new_state) { my_thread_state = new_state; }

}
